%define tarball xf86-video-savage
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%ifarch %{ix86} x86_64 ia64 ppc
%define with_dri        1
%else
%define with_dri        0
%endif

Summary:   Xorg X11 savage video driver
Name:      xorg-x11-drv-savage
Version:   2.1.1
Release:   5%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   savage.xinf

Patch0:    savage-disable-dri-bug196011.patch

ExclusiveArch: %{ix86} x86_64 ppc

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.4-4
BuildRequires: libdrm-devel >= 2.0-1
%endif

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 savage video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p0 -b .savage-disable-dri-bug196011

%build
%configure --disable-static \
%if %{with_dri}
           --enable-dri
%else
           --disable-dri
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/savage_drv.so
%{_datadir}/hwdata/videoaliases/savage.xinf
%{_mandir}/man4/savage.4*

%changelog
* Mon Jul 24 2006 Mike A. Harris <mharris@redhat.com> 2.1.1-5.fc6
- Added savage-disable-dri-bug196011.patch to disable DRI by default on various
  Savage chipsets reported in bug (#196011) and (fdo#6357)
- Added {?dist} tag to Release field.

* Fri Jul 14 2006 Jesse Keating <jkeating@redhat.com> 2.1.1-4
- rebuild

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 2.1.1-3
- Added "BuildRequires: libdrm-devel >= 2.0-1" for DRI enabled builds (#192349)

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 2.1.1-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 2.1.1-1
- Update to 2.1.1 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0.2.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0.2.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 2.0.2.3-1
- Updated xorg-x11-drv-savage to version 2.0.2.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 2.0.2.2-1
- Updated xorg-x11-drv-savage to version 2.0.2.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 2.0.2-1
- Updated xorg-x11-drv-savage to version 2.0.2 from X11R7 RC2
- Added "BuildRequires: mesa-libGL-devel >= 6.4-4" for DRI-enabled builds.

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 2.0.1.1-1
- Updated xorg-x11-drv-savage to version 2.0.1.1 from X11R7 RC1
- Fix *.la file removal.

* Tue Oct 4 2005 Mike A. Harris <mharris@redhat.com> 2.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ppc

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 2.0.0-0
- Initial spec file for savage video driver generated automatically
  by my xorg-driverspecgen script.
